package com.icomsys.main_vm.biz.rcp.conversation.vo.intent;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

public class IntentSearchVo {

    private String custCode;
    private String serviceGroup;
    private String category;
    private String intentName;
    private String serviceGroupUpper;
    private String oprMngCode;
    private String oprMngCodeUpper;

    public IntentSearchVo(){};
    @Builder
    public IntentSearchVo(String custCode, String serviceGroup, String category, String intentName, String serviceGroupUpper) {
        this.custCode = custCode;
        this.serviceGroup = serviceGroup;
        this.category = category;
        this.intentName = intentName;
        this.serviceGroupUpper = serviceGroupUpper;
    }

    public String getCustCode() {
        return custCode;
    }

    public void setCustCode(String custCode) {
        this.custCode = custCode;
    }

    public String getServiceGroup() {
        return serviceGroup;
    }

    public void setServiceGroup(String serviceGroup) {
        this.serviceGroup = serviceGroup;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getIntentName() {
        return intentName;
    }

    public void setIntentName(String intentName) {
        this.intentName = intentName;
    }

    public String getServiceGroupUpper() {
        return serviceGroupUpper;
    }

    public void setServiceGroupUpper(String serviceGroupUpper) {
        this.serviceGroupUpper = serviceGroupUpper;
    }

    public String getOprMngCode() {
        return this.oprMngCode = this.custCode + "_RCP_" + this.serviceGroup;
    }

    public String getOprMngCodeUpper() {
        return this.oprMngCodeUpper = this.custCode + "_RCP_" + this.serviceGroupUpper;
    }
}
